// StarsDlg.h : header file
//

#if !defined(AFX_STARSDLG_H__B75B0B96_367D_11D6_AB38_00D0B70C3D79__INCLUDED_)
#define AFX_STARSDLG_H__B75B0B96_367D_11D6_AB38_00D0B70C3D79__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "StarWarsCtrl.h"

class CStarsDlg : public CDialog
{
// Construction
public:
	CStarsDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CStarsDlg)
	enum { IDD = IDD_STARS_DIALOG };
	CSpinButtonCtrl	m_Spin2;
	CSpinButtonCtrl	m_Spin1;
	CStarWarsCtrl	m_StarsCtrl;
	int		m_nScrollSpeed;
	int		m_nStarSpeed;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStarsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	CString GetVersionInformation(LPCTSTR lpszModuleName);

	// Generated message map functions
	//{{AFX_MSG(CStarsDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnChangeScrollspeed();
	afx_msg void OnChangeStarspeed();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STARSDLG_H__B75B0B96_367D_11D6_AB38_00D0B70C3D79__INCLUDED_)
