// StarsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Stars.h"
#include "StarsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStarsDlg dialog

CStarsDlg::CStarsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CStarsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CStarsDlg)
	m_nScrollSpeed = 0;
	m_nStarSpeed = 0;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CStarsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStarsDlg)
	DDX_Control(pDX, IDC_SPIN2, m_Spin2);
	DDX_Control(pDX, IDC_SPIN1, m_Spin1);
	DDX_Control(pDX, IDC_STARS, m_StarsCtrl);
	DDX_Text(pDX, IDC_SCROLLSPEED, m_nScrollSpeed);
	DDX_Text(pDX, IDC_STARSPEED, m_nStarSpeed);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CStarsDlg, CDialog)
	//{{AFX_MSG_MAP(CStarsDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_EN_CHANGE(IDC_SCROLLSPEED, OnChangeScrollspeed)
	ON_EN_CHANGE(IDC_STARSPEED, OnChangeStarspeed)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStarsDlg message handlers

BOOL CStarsDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	m_Spin1.SetRange(0, 100);
	m_Spin2.SetRange(0, 100);
	
	m_nScrollSpeed = 2;
	m_nStarSpeed = 30;

	m_StarsCtrl.SetStarSpeed(m_nStarSpeed);
	m_StarsCtrl.SetScrollSpeed(m_nScrollSpeed);

	m_StarsCtrl.AddTextLine("A long time ago");
	m_StarsCtrl.AddTextLine("");
	m_StarsCtrl.AddTextLine("in a galaxy far far away");
	m_StarsCtrl.AddTextLine("");
	m_StarsCtrl.AddTextLine("this application was programmed by");
	m_StarsCtrl.AddTextLine("");
	m_StarsCtrl.AddTextLine("Pablo van der Meer");
	m_StarsCtrl.AddTextLine("");
	m_StarsCtrl.AddTextLine("");

	m_StarsCtrl.AddTextLine("StarWars Control Demo");
	CString strExeName = AfxGetApp()->m_pszExeName;
    strExeName += ".exe";
	GetVersionInformation(strExeName);
	m_StarsCtrl.AddTextLine(GetVersionInformation(strExeName));

	m_StarsCtrl.AddTextLine("");
	m_StarsCtrl.AddTextLine("");
	m_StarsCtrl.AddTextLine("Copyright  2002");
	m_StarsCtrl.AddTextLine("Pablo Software Solutions");
	m_StarsCtrl.AddTextLine("");
	m_StarsCtrl.AddTextLine("http://www.pablovandermeer.nl");


	UpdateData(FALSE);
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CStarsDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CStarsDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CStarsDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CStarsDlg::OnChangeScrollspeed() 
{
	m_StarsCtrl.SetScrollSpeed(GetDlgItemInt(IDC_SCROLLSPEED));
}

void CStarsDlg::OnChangeStarspeed() 
{
	m_StarsCtrl.SetStarSpeed(GetDlgItemInt(IDC_STARSPEED));
}



/********************************************************************/
/*																	*/
/* Function name : UpdateVersionInformation							*/
/* Description   : Show version information from resource.			*/
/*																	*/
/********************************************************************/
CString CStarsDlg::GetVersionInformation(LPCTSTR lpszModuleName)
{
	CString strResult;
	BYTE		*pDataBlock = NULL;
	DWORD FAR	*translation;
	DWORD FAR	*buffer;     
	DWORD		dwHandle;
	UINT		nBytes;
	
	// WinAPI wants non-const arguments
	LPTSTR lpszExeName = const_cast<LPTSTR>(lpszModuleName); 

	char szName[512];       // StringFileInfo data block.

	// Get the actual size of the information block.
	nBytes = (UINT)GetFileVersionInfoSize(lpszExeName, &dwHandle);

	if (nBytes)
	{
		pDataBlock = new BYTE[nBytes];

		// Get the actual block for the version information
		if (GetFileVersionInfo(lpszExeName, dwHandle, nBytes, pDataBlock))
		{
			if (VerQueryValue(pDataBlock, "\\VarFileInfo\\Translation", (VOID FAR * FAR *)&translation, (UINT FAR *)&nBytes)) 
			{
				// The File Version for this application
				wsprintf(szName, "\\StringFileInfo\\%04x%04x\\PrivateBuild", LOWORD(*translation), HIWORD(*translation));

				if (VerQueryValue(pDataBlock, szName, (VOID FAR * FAR *)&buffer, (UINT FAR *)&nBytes)) 
				{
					strResult.Format((char far *)buffer);
				}
			}
			else 
			{
				// sorry ...
			}
		}
		if (pDataBlock)
			delete[] pDataBlock;
	}
	return strResult;
}